const _Http = getApp().globalData.http;

let sa_projectid = null;
Page({
    data: {
        deletereason: "",
        loading: false,
    },
    onLoad(options) {
        sa_projectid = options.id;
    },
    onInput(e) {
        this.setData({
            deletereason: e.detail.value
        })
    },
    handleDetele() {
        let that = this;
        wx.showModal({
            title: '提示',
            content: '是否确认作废改项目?',
            complete: ({
                confirm
            }) => {
                if (confirm) {
                    that.setData({
                        loading: true
                    })
                    _Http.basic({
                        "id": 20221020144302,
                        "content": {
                            "sa_projectids": [sa_projectid],
                            "deletereason": that.data.deletereason
                        },
                    }).then(res => {
                        console.log("作废", res);
                        that.setData({
                            loading: false
                        })
                        wx.showToast({
                            title: res.msg != '成功' ? res.data : '作废成功',
                            icon: "none",
                            mask: true
                        });
                        if (res.msg == '成功') setTimeout(() => {
                            wx.navigateBack({
                                delta: 2
                            });
                        }, 300)
                    })
                }
            }
        })

    }
})